mscorlib 2.0.0.0 Microsoft.Win32.SafeHandles.SafeHandleZeroOrMinusOneIsInvalid A SafeHandle for file descriptors.

This is a type safe that wraps file descriptors.

Application developers should use SafeFileHandles instead of for storing file handles, as SafeFileHandles will ensure that file descriptors are properly closed (even in the presence of an AppDomain unload) and will prevent problems like handle reuse.

SafeHandles can be used in P/Invoke parameters, P/Invoke return values and structures passed to unmanaged code.

.NET 2.0
- Constructor
  The file descriptor to wrap.
  Whether the SafeFileHandle owns the handle; If it does, it will ensure that it gets properly closed on finalization.
  To be added.
  Use the parameter to control whether the SafeFileHandle will close the descriptor or not.
  2.0.0.0
- Method
  System.Boolean To be added. To be added. To be added. 2.0.0.0